.button {
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 0 0 auto;
  gap: 10px;
  cursor: pointer;


  text-align: center;
  border-radius: 30px;
  padding: 10px 40px;
  width: fit-content;

  color: var(--dark);

  border-style: solid;
  border-width: 1px;
  border-color: var(--violet-light);
  background-color: var();

  &Block{
    display: block;
  }
  &Full{
    width: 100%;
  }
  &Disabled{

  }

  &--primary{
    color: var(--white);
    border-color: var(--dark-violet);
    background-color: var(--dark-violet);

    &.button--bordered{
      color: var(--dark);
    }
    &:hover{
      background-color: var(--dark-violet);
      color: var(--white);
    }
  }

  &--default{
    border-color: var(--dark);
  }

  &--secondary{
    background-color: var(--violet);
    border-color:var(--violet);

    &:hover{
      background-color: var(--violet-);
      border-color:var(--violet-);

      &.button--bordered{
        background-color: var(--violet-light);
      }
    }

    &.buttonBordered{

      :hover{
        background-color: var(--violet-light);
        border-color:var(--violet-light);
      }
    }
  }

  &--info{
    background-color: var(--blue);
    border-color:var(--blue);
  }

  &--dashed{
    border-style: dashed;
    background-color: transparent;
  }

  &--bordered{
    border-style: solid;
    background-color: transparent;
  }

  &--ghost{
    background-color: transparent;

  }

  &--sm{
    padding: 8px 10px;
    border-radius: 15px;
    font-size: var(--font-size-xs);
  }
  &--lg{
    padding: 13px 86px;
  }

}
